# module ActiveRecord::QueryCache::ClassMethods

### Public Instance Methods

cache() { || ... } click to toggle source

Enable the query cache within the block if Active Record is configured. If it's not, it will execute the given block.

    # File lib/active_record/query_cache.rb, line 7
    def cache(&block)
      if connected?
        connection.cache(&block)
      else
        yield
      end
    end

uncached() { || ... } click to toggle source

Disable the query cache within the block if Active Record is configured. If it's not, it will execute the given block.

    # File lib/active_record/query_cache.rb, line 17
    def uncached(&block)
      if connected?
        connection.uncached(&block)
      else
        yield
      end
    end